//go:build !linux
// +build !linux

package engine

import "net"

type sourceMACResolver struct{}

func newSourceMACResolver() *sourceMACResolver {
	return &sourceMACResolver{}
}

func (r *sourceMACResolver) Resolve(ip net.IP) net.HardwareAddr {
	_ = ip
	return nil
}
